function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { createPortal } from 'react-dom';
import Context from '../Context/instance.js';

var PlayerDialog = /*#__PURE__*/function (_Component) {
  _inheritsLoose(PlayerDialog, _Component);

  function PlayerDialog(props, context) {
    return _Component.call(this, props, context) || this;
  }

  var _proto = PlayerDialog.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        portal = _this$props.portal,
        show = _this$props.show,
        src = _this$props.src,
        _this$props$maskAttri = _this$props.maskAttribute,
        maskAttribute = _this$props$maskAttri === void 0 ? {} : _this$props$maskAttri,
        _this$props$videoAttr = _this$props.videoAttribute,
        videoAttribute = _this$props$videoAttr === void 0 ? {} : _this$props$videoAttr,
        onHide = _this$props.onHide;
    return createPortal( /*#__PURE__*/React.createElement("div", _extends({
      ref: function ref(el) {
        _this.$el = el;
      }
    }, maskAttribute, {
      className: "mask video-mask" + (maskAttribute.className ? ' ' + maskAttribute.className : '') + (show ? ' active' : '')
    }), /*#__PURE__*/React.createElement("video", _extends({
      controls: true
    }, videoAttribute), /*#__PURE__*/React.createElement("source", {
      src: src
    }), "\u60A8\u7684\u6D4F\u89C8\u5668\u4E0D\u652F\u6301 video \u6807\u7B7E\u3002"), /*#__PURE__*/React.createElement("div", {
      className: "video-line"
    }), /*#__PURE__*/React.createElement("div", {
      className: "video-close",
      onClick: onHide
    })), portal || this.context.portal || document.getElementById('root') || document.body);
  };

  return PlayerDialog;
}(Component);

_defineProperty(PlayerDialog, "contextType", Context);

export { PlayerDialog as default };
PlayerDialog.propTypes = process.env.NODE_ENV !== "production" ? {
  portal: PropTypes.object,
  show: PropTypes.bool,
  src: PropTypes.string,
  maskAttribute: PropTypes.object,
  videoAttribute: PropTypes.object,
  onHide: PropTypes.func
} : {};